var lastPos;
function mouseDown(event)
{
    var x = event.x + window.screenX;
    var y = event.y + window.screenY;
    
    alert("MouseDown");
        
    document.addEventListener("mousemove", mouseMove, true);
    document.addEventListener("mouseup", mouseUp, true);
    lastPos = {x:x, y:y};
    event.stopPropagation();
    event.preventDefault();
}
function mouseMove(event)
{
    var screenX = event.x + window.screenX;
    var screenY = event.y + window.screenY;
                        
    window.resizeBy(screenX - lastPos.x, screenY - lastPos.y);
    lastPos = {x:screenX, y:screenY};
    event.stopPropagation();
    event.preventDefault();
}
function mouseUp(event)
{
    document.removeEventListener("mousemove", mouseMove, true);
    document.removeEventListener("mouseup", mouseUp, true); 
    event.stopPropagation();
    event.preventDefault();
}
