#!/usr/bin/ruby

# $Id: import.rb 761 2005-05-13 19:01:27Z jp $

if ARGV.length != 1 then
    $stderr.puts <<-EOT.gsub(/^ *\|/,'')
        |usage: import.rb <htmlfile>
        |
        |  Extracts stored Tiddlers from the given file and puts them
        |  into the defaults system for the Dashboard widget.
        |  
        |  WARNING: this will overwrite any stored Tiddlers.
    EOT
    exit 1
end

store = `defaults read widget-com.tiddlywiki.dashboard storeArea`

source = File.read(ARGV[0])

store = source[/<div id="storeArea">(.*)<\/div>/m,1]

system("defaults","write","widget-com.tiddlywiki.dashboard","storeArea","-string",store)

