#!/usr/bin/ruby

# $Id: make-and-open-html.rb 761 2005-05-13 19:01:27Z jp $

# Extracts storage from defaults and substitutes them into a template
# TiddlyWiki file. The current contents of that file are replaced.
# The resulting file (in /tmp) is opened in the web browser.

store = `defaults read widget-com.tiddlywiki.dashboard storeArea`

# Replace \\ with \ - not sure where the doubling is coming from atm
store.gsub!(/\\\\/,'\\\\')

template = File.read("empty.html")
template.sub!(/<div id="storeArea">.*<\/div>/m) { 
    "<div id=\"storeArea\">#{store}</div>"
}

tf = "/tmp/TiddlyWiki.#{Process.pid}.html"

File.open(tf,"w") { |fp| fp.write(template) }

system "open '#{tf}'"
